> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet balances

> Returns tokens balances for Enso Wallet associated with the given address across all supported chains. <br/>With `useEoa` set to true, it returns balances for the given EOA address instead.



## OpenAPI

````yaml /public/openapi.json get /api/v1/wallet/balances
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/wallet/balances:
    get:
      tags:
        - DeFi
      summary: Wallet balances
      description: >-
        Returns tokens balances for Enso Wallet associated with the given
        address across all supported chains. <br/>With `useEoa` set to true, it
        returns balances for the given EOA address instead.
      operationId: WalletController_walletBalances
      parameters:
        - name: chainId
          required: false
          in: query
          description: Chain ID of the network to execute the transaction on
          schema:
            type: number
            example: 1
        - name: eoaAddress
          required: true
          in: query
          description: >-
            Address of the eoa with which to associate the ensoWallet for
            balances
          schema:
            default: '0x93621DCA56fE26Cdee86e4F6B18E116e9758Ff11'
            type: string
        - name: useEoa
          required: true
          in: query
          description: >-
            If true returns balances for the provided eoaAddress, instead of the
            associated ensoWallet
          schema:
            default: false
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WalletBalance'
components:
  schemas:
    WalletBalance:
      type: object
      properties:
        token:
          type: string
          description: The address of the token
        amount:
          type: string
          description: The unformatted balance of the token
          example: '0x0000000'
        chainId:
          type: number
          description: Chain ID of the network
        decimals:
          type: number
          description: The unformatted balance of the token
          example: 18
        price:
          type: string
          description: Price of the token in usd
          example: '0.0'
        name:
          type: string
          description: Name of the token
        symbol:
          type: string
          description: Symbol of the token
        logoUri:
          type: string
          description: Logo of the token
      required:
        - token
        - amount
        - chainId
        - decimals
        - price
        - name
        - symbol
        - logoUri

````